#
# spec file for package rubygem-rake-compiler
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rake-compiler
Version:        0.9.5
Release:        5.3
%define mod_name rake-compiler
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/rake-compiler/rake-compiler
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rake-based Ruby Extension (C, Java) task generator
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Provide a standard and simplified way to build and package
Ruby extensions (C, Java) using Rake as glue.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.txt LICENSE.txt README.rdoc" \
  -f

%gem_packages

%changelog
* Fri Feb  6 2015 coolo@suse.com
- updated to version 0.9.5
  * Enhancements
  * Support adding bundled files in cross_compiling block.
    Closes #100 [Patch by Aaron Stone]
  === 0.9.4 / 2014-12-28
  * Notes:
  * Change maintainer to Kouhei Sutou from Luis Lavena.
    Thanks Luis Lavena for your great works!
  * Change repository to https://github.com/rake-compiler/rake-compiler
    from https://github.com/luislavena/rake-compiler .
  * Bugfixes:
  * Loose RubyGems dependency a little bit to ease old Debian/Ubuntu.
    Closes #93
  === 0.9.3 / 2014-08-03
  * Bugfixes:
  * Fix specs to run (and pass) on Ruby 2.1 and beyond.
    Pull #94 [hggh]
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.9.2
  * Bugfixes:
  * Pre-load resolver to avoid Bundler blow up during cross-compilation
    Pull #83 [larskanis]
* Mon Aug  5 2013 coolo@suse.com
- updated to version 0.9.1
  * Bugfixes:
  * Restore compatibility with RubyGems platforms for cross-compilation
    (i386-mingw32 and x86-mingw32 are the same and supported)
  === 0.9.0 / 2013-08-03
  * Enhancements:
  * Add support for cross-builds and multiple platforms (x86/x64).
    Pull #74 [larskanis]
    $ rake-compiler cross-ruby VERSION=1.8.7-p371
    $ rake-compiler cross-ruby VERSION=1.9.3-p392
    $ rake-compiler cross-ruby VERSION=2.0.0-p0
    $ rake-compiler cross-ruby VERSION=2.0.0-p0 HOST=x86_64-w64-mingw32
    $ rake cross compile RUBY_CC_VERSION=1.8.7:1.9.3:2.0.0
    [#] Rakefile
    ext.cross_platform = %%w[i386-mingw32 x64-mingw32]
  * Support for cross-platform specific options. Pull #74 [larskanis]
    [#] Rakefile
    ext.cross_config_options << "--with-common-option"
    ext.cross_config_options << {"x64-mingw32" => "--enable-64bits"}
  * Bugfixes:
  * Correct fat-gems support caused by RubyGems issues. Pull #76 [knu]
  * Deprecations:
  * Requires minimum Ruby 1.8.7 and RubyGems 1.8.25
  * Usage of 'i386-mswin32' needs to be changed to 'i386-mswin32-60'
* Sun Mar  3 2013 coolo@suse.com
- updated to version 0.8.3
  * Bugfixes:
  * Support FreeBSD 'mingw32-gcc' cross compiler. Closes #72 [knu]
* Mon Feb  4 2013 coolo@suse.com
- updated to version 0.8.2
  * Bugfixes:
  * Unset CC, LDFLAGS and CPPFLAGS prior cross-compiling. Closes #55
* Sun May  6 2012 coolo@suse.com
- update to 0.8.1
  * Raise error when either make or gmake could be found. Closes #53, #54
* Thu Apr  5 2012 coolo@suse.com
- update to 0.8.0
  * Enhancements:
  * Invocation from command line now support extra options similar to RubyGems.
    Closes #4 from Pull #47 [jonforums]
    $ rake compile -- --with-opt-dir=/opt/local
  * Bugfixes:
  * Only emit cross-compilation warnings for C when `cross` is invoked.
    Closes #16 from Pull #48 [mvz]
  * Only emit warnings when invoking cross-compilation tasks for JRuby.
    Pull #45 [jfirebaugh]
  * Use x86 MinGW cross-compiler. Pull #49 [larskanis]
* Wed Nov 30 2011 fcastelli@suse.com
- Fix the spec file: removed some requirements since they were
  just development dependencies.
* Tue Nov 29 2011 schubi@suse.com
- update to 0.7.9
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Dec 17 2009 dmacvicar@novell.com
- Update to 0.7.0
  * Allow generation of JRuby extensions
  * Allow alteration of the Gem Specification when cross compiling.
    Closes GH-3
  * Detect GNU make independently of distribution based naming.
  * Usage of #dup to duplicate gemspec instead of YAML dumping.
  * No longer support Ruby older than 1.8.6
  * No longer support RubyGems older than 1.3.5
  * Force definition of binary directory and executables.
    Closes GH-11
  * Workaround path with spaces issues using relative paths. Closes
    GH-6
  * Removed gemspec, GitHub gems no more
* Sat Aug 15 2009 dmacvicar@novell.com
- initial package for 0.6.0
